[arch-commits] Commit in boost/trunk (PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Mon Aug 30 09:49:47 EDT 2010


    Date: Monday, August 30, 2010 @ 09:49:46
  Author: remy
Revision: 89256

upgpkg: boost 1.43.0-2
Rebuild for python2.

Modified:
  boost/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-30 13:12:57 UTC (rev 89255)
+++ PKGBUILD	2010-08-30 13:49:46 UTC (rev 89256)
@@ -8,10 +8,10 @@
 pkgname=('boost-libs' 'boost')
 pkgver=1.43.0
 _boostver=1_43_0
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url="http://www.boost.org/"
-makedepends=('python>=2.6' 'bzip2' 'zlib')
+makedepends=('python2' 'bzip2' 'zlib')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgbase}/${pkgbase}_${_boostver}.tar.gz)
 license=('custom')
 options=('!ccache')
@@ -20,6 +20,10 @@
 _stagedir="${srcdir}/stagedir"
 
 build() {
+  # set python path for bjam
+  cd "${srcdir}/${pkgbase}_${_boostver}/tools"
+  echo "using python : 2.7 : /usr/bin/python2 ;" >> build/v2/user-config.jam
+
   # build bjam
   cd "${srcdir}/${pkgbase}_${_boostver}/tools/jam/src"
   ./build.sh cc || return 1
@@ -51,21 +55,19 @@
             cflags=-fno-strict-aliasing \
             toolset=gcc \
             --prefix="${_stagedir}" \
-            -sPYTHON_ROOT=/usr \
-            -sPYTHON_VERSION=2.6 \
             -sTOOLS=gcc \
             --layout=tagged \
             install || return 1
 
   # build pyste
   cd "${srcdir}/${pkgbase}_${_boostver}/libs/python/pyste/install"
-  python setup.py install --root=${_stagedir} || return 1
+  python2 setup.py install --root=${_stagedir} || return 1
 }
 
 package_boost() {
     pkgdesc="Free peer-reviewed portable C++ source libraries - Development"
     depends=("boost-libs=${pkgver}")
-    optdepends=('python: for python bindings')
+    optdepends=('python2: for python bindings')
 
     install -dm 755 "${pkgdir}"/usr/{include,lib}
     # headers/source files
@@ -78,7 +80,7 @@
     cp -r "${_stagedir}"/usr/* "${pkgdir}"/usr/
 
     # license
-    install -D -m644" ${srcdir}/${pkgbase}_${_boostver}/LICENSE_1_0.txt" \
+    install -D -m644 "${srcdir}/${pkgbase}_${_boostver}/LICENSE_1_0.txt" \
         "${pkgdir}"/usr/share/licenses/boost/LICENSE_1_0.txt || return 1
 }
 



More information about the arch-commits mailing list